# OTPublisherKitVideoNetworkStats Class Reference

Inherits from | NSObject
Declared in | OTNetworkStatsKit.h

## Overview

Describes video statistics for a publisher. See [OTPublisherKit setNetworkStatsDelegate:].

### `connectionId`

The connection ID of the client subscribing to the stream.

`@property (nonnull, readonly) NSString *connectionId`

#### Declared In

`OTNetworkStatsKit.h`

### `subscriberId`

The subscriber ID of the client subscribing to the stream (in a relayed session). In a routed session, this is set to an empty string.

`@property (nonnull, readonly) NSString *subscriberId`

#### Declared In

`OTNetworkStatsKit.h`

### `videoPacketsLost`

The estimated number of video packets that did not reach the subscriber (or the OpenTok Media Router).

`@property (readonly) int64_t videoPacketsLost`

#### Declared In

`OTNetworkStatsKit.h`

### `videoPacketsSent`

The number of video packets packets sent to the subscriber (or to the OpenTok Media Router).

`@property (readonly) int64_t videoPacketsSent`

#### Declared In

`OTNetworkStatsKit.h`

### `videoBytesSent`

The number of video bytes sent to the subscriber (or to the OpenTok Media Router).

`@property (readonly) int64_t videoBytesSent`

#### Declared In

`OTNetworkStatsKit.h`

### `timestamp`

The timestamp, in milliseconds since the Unix epoch, for when these stats were gathered.

`@property (readonly) double timestamp`

#### Declared In

`OTNetworkStatsKit.h`

### `videoLayers`

The array of video layer statistics (instances of OTPublisherKitVideoLayerStats).

`@property (nonnull, readonly) NSArray<OTPublisherKitVideoLayerStats*> *videoLayers`

#### Declared In

`OTNetworkStatsKit.h`

### `transport`

Network estimation stats.

`@property (readonly, nullable) OTTransportStats *transport`

#### Declared In

`OTNetworkStatsKit.h`

### `startTime`

The timestamp, in milliseconds since the Unix epoch, from which the cumulative totals started accumulating.

`@property (readonly) double startTime`

#### Declared In

`OTNetworkStatsKit.h`